Join a Video Conference

Prev Next
Post
/api/v1/video-conference.join

Join a specific video conference. Rate limiting: 2 requests per 5000ms. This endpoint also allows anonymous access for guest users.

Members of the conference can join it even without access to the conference's room. For providers that render the call embedded in Rocket.Chat, url is returned empty.

Changelog

Version Description
8.9.0 Added callId and rid, and an empty url for embedded providers.
Header parameters
X-User-Id
stringRequired

The user ID.

ExampleCkCPNctrgCDfmWLqC
X-Auth-Token
stringRequired

The authentication token.

Example1Dd4iN_ClKn5jl-xPC36snQ4s9Zd5GZnXCQuCNSKcVE
Body parameters
Example 1
{
  "callId": "697887e3c8b0533020781a4a",
  "state": {
    "mic": true,
    "cam": true
  }
}
Expand All
object
callId
string Required

Enter the video conference call ID that you want to join.

Example697887e3c8b0533020781a4a
state
object

Object containing initial device states.

mic
boolean

Whether the microphone starts muted or unmuted.

cam
boolean

Whether the camera starts enabled or disabled.

Responses
200

OK

Example 1
{
  "url": "http://g.co/meet/RocketChat_697887e3c8b0533020781a4a",
  "providerName": "googlemeet",
  "callId": "697887e3c8b0533020781a4a",
  "rid": "68c8071650223764573dd2dc",
  "success": true
}
object
url
string

The URL to open the call. Empty for providers that render the call embedded in Rocket.Chat.

providerName
string
callId
string

The video conference call ID.

rid
string

The ID of the room the call belongs to.

success
boolean
400

Bad Request

Example 1
{
  "success": false,
  "error": "must have required property 'callId' [invalid-params]",
  "errorType": "invalid-params"
}
object
success
boolean
error
string
errorType
string
401

Unauthorized

Authorization Error
{
  "status": "error",
  "message": "You must be logged in to do this."
}
object
status
string
message
string